.navbar-container {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding: 20px;
    z-index: 99;
    @media (max-width: 800px) {
        flex-direction: column;
        position: fixed;
        left: -140%;
        top: 0;
        border: 10px solid black;    
        border-top: none; 
        width: 100%;
        height: 100%;
        transform: skewX(-14deg);
        background-color: rgb(93, 131, 255);
        background-image: linear-gradient(to bottom right, rgb(93, 131, 255), rgb(5, 9, 238)) ;
        visibility: hidden;
        transition: all ease-in-out .8s;
        .nav-logo {
            transform: skewX(14deg);
            font-size: 25px;
            margin-left: 30%;
        }
    }
    @media (max-width: 400px) {
        .nav-logo {
            margin-left: 60px;
        }
    }
}

.navbar-checkbox {
    display: none;
    &:checked ~ .navbar-container {
        visibility: visible;
        left: -40%;

    }
    &:checked + .navbar-label {
        top: 80%;
        background-color: rgb(93, 131, 255);
        background-image: linear-gradient(to bottom right, rgb(93, 131, 255), rgb(5, 9, 238)) ;
    }
}

.navbar-label {
    position: fixed;
    top: 10px;
    right: 10px;
    cursor: pointer;
    background-color: red;
    padding: 10px;
    border-radius: 10px;
    border: 4px solid black;
    box-shadow: 4px 4px black;
    transition: all ease-in-out .8s;
    z-index: 99;
    &:active {
        background-color: lightcoral;
    }
    @media (min-width: 800px) {
        display: none;
    }
}

.navbar-label-icon {
    width: 45px;
}

.nav-logo {
    user-select: none;
    cursor: pointer;
    font-size: 35px;
    color: white;
    text-shadow: 3px 2px black;
    box-shadow: 3px 3px black;
    background-color: red;
    padding: 10px;
    border: 5px solid black;
    border-radius: 20px;
    text-decoration: none;
    transition: transform ease-in-out .3s;
    outline: none;
    &:hover {
        transform: scale(1.1);
    }
}

.active-link {
    text-shadow: 3px 2px orange !important;
    cursor: default !important;
}


@import './logged-in-links.scss';
@import './logged-out-links.scss';